package br.example.androidbootstrap;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.LinearLayout;

import com.beardedhen.androidbootstrap.BootstrapButton;
import com.beardedhen.androidbootstrap.FontAwesomeText;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        LinearLayout llContainer = (LinearLayout) findViewById(R.id.llContainer);


        BootstrapButton bb = new BootstrapButton(this);
        bb.setText("Test");
        bb.setLeftIcon("fa-beer");
        bb.setBootstrapType("default");
        llContainer.addView(bb);


        FontAwesomeText fat = new FontAwesomeText(this);
        fat.setIcon("fa-cab");
        llContainer.addView(fat);


        FontAwesomeText faFirst = (FontAwesomeText) findViewById(R.id.faFirst);
        faFirst.startFlashing(this, true, FontAwesomeText.AnimationSpeed.FAST);


        FontAwesomeText faSecond = (FontAwesomeText) findViewById(R.id.faSecond);
        faSecond.startRotate(this, false, FontAwesomeText.AnimationSpeed.SLOW);


        final BootstrapButton btCancel = (BootstrapButton) findViewById(R.id.btCancel);
        btCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                btCancel.setText("Cancelado");
                btCancel.setRightIcon("fa-times");
            }
        });
    }
}
